.dropdown {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;

    &_active,
    &:hover {
        .dropdown__result {

            .dropdown__item {
                color: #000;
            }
        }
    }

    &__result {
        position: relative;
        display: inline-block;
        padding-right: 12px;
        cursor: pointer;

        &:before{
            opacity: 1;
            @include absoluteCenterY();
            right: 0;
            width: 9px;
            height: 6px;
            background: url("../img/svg/icon_dropdown_arrow.svg") no-repeat center;
            background-size: contain;
            transition: opacity .3s ease-in-out;
            content: '';
        }

        .dropdown__item {
            color: #000;
            transition: color .3s ease ease-in-out;

            &:hover {
                background: transparent;
            }
        }
    }

    &__list {
        display: none;
        position: absolute;
        bottom: 0;
        left: 0;
        z-index: 3;
        transform: translateY(100%);
        max-width: calc(100vw - 32px);
        background: #FFFFFF;
        box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2), 0 4px 16px rgba(0, 0, 0, 0.15);

        .dropdown__item {
            padding: 4px 8px;
            background-color: #fff;
            transition: .3s ease-in-out;
            transition-property: background-color, color;
        }
    }

    &__item {
        overflow: hidden;
        text-overflow: ellipsis;
        font-size: 16px;
        line-height: 18px;
        letter-spacing: .04em;
        cursor: pointer;
        white-space: nowrap;

        a {
            color: #000;
        }

        &.is-active {
            color: #ffffff;
            background-color: #2271b1;
        }

        &:hover {
            background-color: #f5f7fa;
        }
    }
}
